当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 11 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 每次安装软件都会出现错误提示!
帖子发表于 : 2009-11-06 14:06 

注册: 2009-02-09 16:42
帖子: 42
送出感谢: 0 次
接收感谢: 1
通过终端安装软件,每次都会出现如下错误提示:

正在处理用于 XXXX 的触发器...
在处理时有错误发生:
dict-xdict
E: Sub-process /usr/bin/dpkg returned an error code (1)


通过新立得安装也会出现类似的错误提示!

非常恼人!
望各位大侠支招!
谢谢!


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 每次安装软件都会出现错误提示!
帖子发表于 : 2009-11-06 17:46 

注册: 2006-02-14 9:52
帖子: 178
地址: 西双版纳
送出感谢: 0 次
接收感谢: 0 次
再出错后,执行:
代码:
tail -50 /var/log/dpkg.log

然后把结果列到这里。


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 每次安装软件都会出现错误提示!
帖子发表于 : 2009-11-07 12:46 

注册: 2009-02-09 16:42
帖子: 42
送出感谢: 0 次
接收感谢: 1
安装k3d中文语言包后出现的错误提示:

代码:
正在设置 language-pack-kde-zh-base (1:9.10+20090901) ...
在处理时有错误发生:
 dict-xdict
E: Sub-process /usr/bin/dpkg returned an error code (1)
tyu@tyu-desktop:~$ tail -50 /var/log/dpkg.log
2009-11-07 12:42:41 status unpacked language-pack-zh-hant-base 1:9.10+20091022
2009-11-07 12:42:41 status unpacked language-pack-zh-hant-base 1:9.10+20091022
2009-11-07 12:42:41 install language-pack-kde-zh-hant-base <无> 1:9.10+20091022
2009-11-07 12:42:41 status half-installed language-pack-kde-zh-hant-base 1:9.10+20091022
2009-11-07 12:42:41 status half-installed language-pack-kde-zh-hant-base 1:9.10+20091022
2009-11-07 12:42:43 status unpacked language-pack-kde-zh-hant-base 1:9.10+20091022
2009-11-07 12:42:43 status unpacked language-pack-kde-zh-hant-base 1:9.10+20091022
2009-11-07 12:42:43 install language-pack-kde-zh-hant <无> 1:9.10+20091022
2009-11-07 12:42:43 status half-installed language-pack-kde-zh-hant 1:9.10+20091022
2009-11-07 12:42:43 status half-installed language-pack-kde-zh-hant 1:9.10+20091022
2009-11-07 12:42:43 status unpacked language-pack-kde-zh-hant 1:9.10+20091022
2009-11-07 12:42:43 status unpacked language-pack-kde-zh-hant 1:9.10+20091022
2009-11-07 12:42:43 install language-pack-kde-zh-base <无> 1:9.10+20090901
2009-11-07 12:42:43 status half-installed language-pack-kde-zh-base 1:9.10+20090901
2009-11-07 12:42:43 status unpacked language-pack-kde-zh-base 1:9.10+20090901
2009-11-07 12:42:43 status unpacked language-pack-kde-zh-base 1:9.10+20090901
2009-11-07 12:42:43 trigproc software-center 1.0.2 1.0.2
2009-11-07 12:42:43 status half-configured software-center 1.0.2
2009-11-07 12:42:44 status installed software-center 1.0.2
2009-11-07 12:42:45 startup packages configure
2009-11-07 12:42:45 configure dict-xdict 0.1-4 0.1-4
2009-11-07 12:42:45 status half-configured dict-xdict 0.1-4
2009-11-07 12:42:45 configure language-pack-kde-zh-hans 1:9.10+20091022 1:9.10+20091022
2009-11-07 12:42:45 status unpacked language-pack-kde-zh-hans 1:9.10+20091022
2009-11-07 12:42:45 status half-configured language-pack-kde-zh-hans 1:9.10+20091022
2009-11-07 12:42:45 status installed language-pack-kde-zh-hans 1:9.10+20091022
2009-11-07 12:42:45 configure language-pack-kde-zh-hans-base 1:9.10+20091022 1:9.10+20091022
2009-11-07 12:42:45 status unpacked language-pack-kde-zh-hans-base 1:9.10+20091022
2009-11-07 12:42:45 status half-configured language-pack-kde-zh-hans-base 1:9.10+20091022
2009-11-07 12:42:45 status installed language-pack-kde-zh-hans-base 1:9.10+20091022
2009-11-07 12:42:45 configure language-pack-zh-hant 1:9.10+20091022 1:9.10+20091022
2009-11-07 12:42:45 status unpacked language-pack-zh-hant 1:9.10+20091022
2009-11-07 12:42:45 status half-configured language-pack-zh-hant 1:9.10+20091022
2009-11-07 12:42:45 status installed language-pack-zh-hant 1:9.10+20091022
2009-11-07 12:42:45 configure language-pack-zh-hant-base 1:9.10+20091022 1:9.10+20091022
2009-11-07 12:42:45 status unpacked language-pack-zh-hant-base 1:9.10+20091022
2009-11-07 12:42:45 status half-configured language-pack-zh-hant-base 1:9.10+20091022
2009-11-07 12:42:50 status installed language-pack-zh-hant-base 1:9.10+20091022
2009-11-07 12:42:50 configure language-pack-kde-zh-hant 1:9.10+20091022 1:9.10+20091022
2009-11-07 12:42:50 status unpacked language-pack-kde-zh-hant 1:9.10+20091022
2009-11-07 12:42:50 status half-configured language-pack-kde-zh-hant 1:9.10+20091022
2009-11-07 12:42:50 status installed language-pack-kde-zh-hant 1:9.10+20091022
2009-11-07 12:42:50 configure language-pack-kde-zh-hant-base 1:9.10+20091022 1:9.10+20091022
2009-11-07 12:42:50 status unpacked language-pack-kde-zh-hant-base 1:9.10+20091022
2009-11-07 12:42:50 status half-configured language-pack-kde-zh-hant-base 1:9.10+20091022
2009-11-07 12:42:50 status installed language-pack-kde-zh-hant-base 1:9.10+20091022
2009-11-07 12:42:50 configure language-pack-kde-zh-base 1:9.10+20090901 1:9.10+20090901
2009-11-07 12:42:50 status unpacked language-pack-kde-zh-base 1:9.10+20090901
2009-11-07 12:42:50 status half-configured language-pack-kde-zh-base 1:9.10+20090901
2009-11-07 12:42:50 status installed language-pack-kde-zh-base 1:9.10+20090901


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 每次安装软件都会出现错误提示!
帖子发表于 : 2009-11-07 13:02 
头像

注册: 2005-10-16 8:26
帖子: 1937
地址: 地球
送出感谢: 0 次
接收感谢: 1
ynsc 写道:
通过终端安装软件,每次都会出现如下错误提示:

正在处理用于 XXXX 的触发器...
在处理时有错误发生:
dict-xdict
E: Sub-process /usr/bin/dpkg returned an error code (1)

通过新立得安装也会出现类似的错误提示!


猜测,你在用dpkg安装dict-xdict的时候由于缺少某些包导致出错?如果是这个问题,在终端中试一下sudo apt-get -f install来解决包依赖问题。

:em20


_________________
http://www.pandabang.info


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 每次安装软件都会出现错误提示!
帖子发表于 : 2009-11-07 16:54 

注册: 2009-02-09 16:42
帖子: 42
送出感谢: 0 次
接收感谢: 1
试过了!好像问题依旧!


代码:
desktop:~$ sudo apt-get -f install dict-xdict
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
dict-xdict 已经是最新的版本了。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 1 个软件包没有被完全安装或卸载。
解压缩后会消耗掉 0B 的额外空间。
正在设置 dict-xdict (0.1-4) ...
invoke-rc.d: unknown initscript, /etc/init.d/dictd not found.
dpkg:处理 dict-xdict (--configure)时出错:
 子进程 已安装的 post-installation 脚本 返回了错误号 100
在处理时有错误发生:
 dict-xdict
E: Sub-process /usr/bin/dpkg returned an error code (1)


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 每次安装软件都会出现错误提示!
帖子发表于 : 2009-11-07 23:37 
头像

注册: 2009-10-26 20:45
帖子: 43
地址: PRC--!!
送出感谢: 0 次
接收感谢: 0 次
楼主用哪个源?我正想问哪里有9.10的language-pack-kde-zh-base呢。。。有人知道没


_________________
年轻,有点轻狂...


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 每次安装软件都会出现错误提示!
帖子发表于 : 2009-11-07 23:43 
头像

注册: 2008-03-25 15:49
帖子: 25876
地址: 谁知道?
送出感谢: 8
接收感谢: 10
骨头源.. :em38 :em38 :em38


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 每次安装软件都会出现错误提示!
帖子发表于 : 2009-11-07 23:48 
头像

注册: 2009-10-26 20:45
帖子: 43
地址: PRC--!!
送出感谢: 0 次
接收感谢: 0 次
果然,我也是这么想。。。


163的不行呀


_________________
年轻,有点轻狂...


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 每次安装软件都会出现错误提示!
帖子发表于 : 2009-11-08 12:41 

注册: 2009-02-09 16:42
帖子: 42
送出感谢: 0 次
接收感谢: 1
小日本的!


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 每次安装软件都会出现错误提示!
帖子发表于 : 2009-11-08 13:08 
头像

注册: 2007-08-05 17:40
帖子: 4968
送出感谢: 0 次
接收感谢: 4
ynsc 写道:
试过了!好像问题依旧!


代码:
desktop:~$ sudo apt-get -f install dict-xdict
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
dict-xdict 已经是最新的版本了。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 1 个软件包没有被完全安装或卸载。
解压缩后会消耗掉 0B 的额外空间。
正在设置 dict-xdict (0.1-4) ...
invoke-rc.d: unknown initscript, /etc/init.d/dictd not found.
dpkg:处理 dict-xdict (--configure)时出错:
 子进程 已安装的 post-installation 脚本 返回了错误号 100
在处理时有错误发生:
 dict-xdict
E: Sub-process /usr/bin/dpkg returned an error code (1)


2个解决方法:
1、新建一个脚本/etc/init.d/dictd
其中内容为:
代码:
#!/bin/sh
true

2、编辑/var/lib/dpkg/status。找到里面的dict-xdict项目,把它的状态改成:install ok installed
--------
上面其一完成后,就可以用atp-get -f install 了。


_________________
free VPN
YouKuDownLoader
代码:
pip3 install ykdl

install YouKuDownLoader, have fun in downloading.
YouKuDownLoader所支持网站列表


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 每次安装软件都会出现错误提示!
帖子发表于 : 2009-11-21 14:29 

注册: 2009-02-09 16:42
帖子: 42
送出感谢: 0 次
接收感谢: 1
10#

用第二种方法成功解决了问题!
多谢!!!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 11 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Google [Bot] 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译